import pandas as pd
import os


def merge_csv(path, header):
    frames = []
    for csv_file in os.scandir(path):
        col_name = csv_file.name.split('_', maxsplit=1)[0]
        if header:
            frames.append(pd.read_csv(csv_file.path, sep='\t', names=[col_name], index_col=0, header=0))
        else:
            frames.append(pd.read_csv(csv_file.path, sep='\t', names=[col_name], index_col=0))

    merged = pd.concat(frames, axis=1)
    merged[merged.isna()] = 0
    merged.to_csv(path + 'merged' + csv_file.name[csv_file.name.find('_'):], sep='\t', encoding='utf-8-sig')

